Bug 239229 - smoltSendProfile crash
Summary: smoltSendProfile crash
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
: 239810 241109 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-06 14:46 UTC by Need Real Name
Modified: 2009-06-22 16:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 16:50:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replace /usr/share/smolt/client/smolt.py (30.52 KB, application/x-python)
2007-05-15 18:14 UTC, Mike McGrath
no flags Details

Description Need Real Name 2007-05-06 14:46:04 UTC
$ smoltSendProfile
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 102, in <module>
    print profile.getProfile()
  File "/usr/share/smolt/client/smolt.py", line 389, in getProfile
    return '\n'.join(printBuffer)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 6: ordinal
not in range(128)

Comment 1 Mike McGrath 2007-05-06 16:28:42 UTC
Can you try the smolt gui and see if it gets your information correctly?

yum install smolt-gui

$ smoltGui



Comment 2 Need Real Name 2007-05-06 16:48:45 UTC
The gui works fine. I can even submit it using that.

Using the cli I can then delete it, and am shown a lovely page headed "Hardware
: Crap!".

Comment 3 Mike McGrath 2007-05-06 16:51:36 UTC
Interesting, ok.  Can you submit via the gui and send us your UUID?

Comment 4 Need Real Name 2007-05-06 17:01:43 UTC
Done.

Comment 5 Marcin Garski 2007-05-09 19:05:21 UTC
Mike same here. This bug is probably caused by improper string encoding. Please
also see bug 237956.

Comment 6 Mario Pascucci 2007-05-11 08:47:35 UTC
Ok, I can give some other details. With LANG=it_IT.UTF-8 smoltSendProfile
crashes, not with LANG=C. I've put a "print printBuffer immediately before the
"return" instruction in line 389. In italian the string "CPU speed" is "Velocità
CPU" (note the accented vovel).
The print give:
['\tUUID: 53fa6f93-6310-4948-b128-e639464c087c', '\tOS: Fedora Core release 6
(Zod)', '\tRun level predefinito: 5', '\tLinguaggio: it_IT.UTF-8',
u'\tPiattaforma: i686', '\tBogoMIPS: 6787.66', '\tVenditore CPU: GenuineIntel',
'\tModello CPU: Intel(R) Pentium(R) 4 CPU 3.40GHz', '\tNumero di CPU: 1',
'\tVelocit\xc3\xa0 CPU: 3400' ........
 note here ^^^^^^^
I think this is related to the failure, but I don't know python.


Comment 7 Mike McGrath 2007-05-11 16:46:11 UTC
*** Bug 239810 has been marked as a duplicate of this bug. ***

Comment 8 Roland Wolters 2007-05-15 17:42:49 UTC
Same here, exactly the same error message. My UUID is 
88be6f67-2a0d-4e0d-b81e-ae8275562db4
The system language is de_DE.UTF-8.

Comment 9 Mike McGrath 2007-05-15 18:14:42 UTC
Created attachment 154760 [details]
Replace /usr/share/smolt/client/smolt.py

Replace /usr/share/smolt/client/smolt.py

Comment 10 Need Real Name 2007-05-15 18:25:50 UTC
WFM

OT, but: why does firstboot contain a different version of smolt.py?

Comment 11 Mike McGrath 2007-05-15 18:43:54 UTC
The firstboot smolt.py creates the gui framework that you see during 
firstboot.  the smolt.py in /usr/share/smolt/client/ contains the nuts and 
bolts around detecting hardware on your client.

Comment 12 Mike McGrath 2007-05-19 04:31:39 UTC
Anyone had a chance to test this?

Comment 13 Need Real Name 2007-05-19 07:26:31 UTC
Yes - WFM (comment 10) - thanks!

Comment 14 Mike McGrath 2007-05-24 16:47:45 UTC
*** Bug 241109 has been marked as a duplicate of this bug. ***

Comment 15 Robert Scheck 2007-06-01 23:52:31 UTC
This bug is not fixed in smolt-0.9.8.1-1.fc7:

[root@rsc ~]# smoltSendProfile --help
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 78, in <module>
    (opts, args) = parser.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 804, in take_action
    parser.print_help()
  File "/usr/lib/python2.5/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 852:
ordinal not in range(128)
[root@rsc ~]# 

Comment 16 Mike McGrath 2007-06-02 07:29:20 UTC
What you are describing (with --help) is a different bug I think.  These issues
are mostly my inexperience with other languages so thanks for reporting them. 
Fortunately I'm getting better at fixing them.  I should have a patch available
a couple of days after I get back from Linux Tag.

Comment 17 Andreas Thienemann 2007-08-01 23:35:29 UTC
Something similar happens here:

[root@dyn100 ~]# smoltSendProfile
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 95, in <module>
    profile = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 268, in __init__
    self.devices[udi] = Device(props)
  File "/usr/share/smolt/client/smolt.py", line 155, in __init__
    'Description' :     self.description
  File "/usr/lib/python2.5/urllib.py", line 1242, in urlencode
    v = quote_plus(str(v))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 7:
ordinal not in range(128)


[root@dyn100 ~]# echo $LANG
en_US.UTF-8


GUI works fine and data has been submitted as e03964cd-b9b4-4763-8f55-b6d3a70ede14




Comment 18 Mike McGrath 2007-08-07 14:25:57 UTC
Just an FYI, I haven't forgotten about this but other developments have been
going on.  Hope to have an update out soon.

Comment 19 Bug Zapper 2008-04-04 00:33:37 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 20 mail@romal.de 2008-04-28 20:40:57 UTC
My smolt burps:

[romal@localhost ~]$ smoltSendProfile --help
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 115, in <module>
    (opts, args) = parser.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 804, in take_action
    parser.print_help()
  File "/usr/lib/python2.5/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 651:
ordinal not in range(128)
[romal@localhost ~]$ rpm --query smolt
smolt-1.1.1.1-4.fc9.noarch
[romal@localhost ~]$ 


Comment 21 Bug Zapper 2008-05-14 02:51:49 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Bug Zapper 2009-06-09 22:35:22 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 Mike McGrath 2009-06-22 16:50:50 UTC
AFAIK this is long fixed.  If you still have issues please re-open and specify the LANG you're using.


Note You need to log in before you can comment on or make changes to this bug.